function dYfuncvecdtau = ODEfun(tau,Yfuncvec); 
Ca =Yfuncvec(1);
Cx =Yfuncvec(2);
Cb = Yfuncvec(3);
Cy = Yfuncvec(4);
% Explicit equations

Cao = .4;
X = 1-Ca/Cao;
k1 = .0001;
k2 = .0015;
k3 = .008;
Sbxy = Cb/(Cx+Cy);

% Differential equations

dCadtau = -k1-k2*Ca-k3*Ca^2;
dCxdtau = k1;
dCbdtau = k2*Ca;
dCydtau = k3*Ca^2;
dYfuncvecdtau=[dCadtau;dCxdtau;dCbdtau;dCydtau];



